jQuery(document).ready(function($) {

  'use strict';

  $('#toggle').select2();
  $('#default-status').select2();
  $('#code-position').select2();
  $('#section-id').select2();
  $('#list-id').select2();
  remove_border_last_element_daext_form_table();

  $(document.body).on('click', '.group-trigger' , function( event ){

    'use strict';

    //open and close the various sections of the tables area
    var target = $(this).attr('data-trigger-target');
    $('.' + target).toggle();
    $(this).find('.expand-icon').toggleClass('arrow-down');

    remove_border_last_element_daext_form_table();

  });

  /**
   * Remove the bottom border on the cell of the main table (".daext-form-table")
   */
  function remove_border_last_element_daext_form_table() {

    'use strict';

    $('table.daext-form-table tr > *').css('border-bottom-width', '1px');
    $('table.daext-form-table tr:visible:last > *').
        css('border-bottom-width', '0');
  }

});





