<?php

if ( ! current_user_can( get_option( $this->shared->get( 'slug' ) . '_capability_menu_export' ) ) ) {
	wp_die( esc_html__( 'You do not have sufficient permissions to access this page.', 'lightweight-cookie-notice') );
}

?>

<!-- output -->

<div class="wrap">

    <h2><?php esc_html_e( 'Lightweight Cookie Notice - Export', 'lightweight-cookie-notice'); ?></h2>

    <div id="daext-menu-wrapper">

        <p><?php esc_html_e( 'Click the Export button to generate an XML file that includes all the plugin data.', 'lightweight-cookie-notice'); ?></p>

        <!-- the data sent through this form are handled by the export_xml_controller() method called with the WordPress init action -->
        <form method="POST" action="admin.php?page=daextlwcn-export">

            <div class="daext-widget-submit">
                <input name="daextlwcn_export" class="button button-primary" type="submit"
                       value="<?php esc_attr_e( 'Export', 'lightweight-cookie-notice'); ?>">
            </div>

        </form>

    </div>

</div>