<?php

if ( ! current_user_can('manage_options')) {
    wp_die(esc_html__('You do not have sufficient permissions to access this page.', 'lightweight-cookie-notice'));
}

?>

<!-- output -->

<div class="wrap">

    <h2><?php esc_html_e('Lightweight Cookie Notice - Help', 'lightweight-cookie-notice'); ?></h2>

    <div id="daext-menu-wrapper">

        <p><?php esc_html_e('Visit the resources below to find your answers or to ask questions directly to the plugin developers.', 'lightweight-cookie-notice'); ?></p>
        <ul>
            <li><a href="https://daext.com/doc/lightweight-cookie-notice-pro/"><?php esc_html_e('Plugin Documentation', 'lightweight-cookie-notice'); ?></a></li>
            <li><a href="https://daext.com/support/"><?php esc_html_e('Support Conditions', 'lightweight-cookie-notice'); ?></li>
            <li><a href="https://daext.com"><?php esc_html_e('Developer Website', 'lightweight-cookie-notice'); ?></a></li>
        </ul>
        <p>

    </div>

